import matplotlib.pyplot as plt
from navipy.database import DataBaseLoad
import navipy.processing as processing
from navipy.sensors import Senses
import pkg_resources

# 1) Connect to the database
mydb_filename = pkg_resources.resource_filename(
    'navipy', 'resources/database.db')
mydb = DataBaseLoad(mydb_filename)
mysenses = Senses(renderer=mydb)
# 2) Define the position-orinetation at which
# we want the image
posorient = mydb.posorients.loc[12, :]
mysenses.update(posorient)
my_skyline = processing.pcode.skyline(mysenses.vision.scene)

f, axarr = plt.subplots(1, 2, figsize=(15, 4))
for chan_i, chan_n in enumerate(mydb.channels):
    if chan_n == 'D':
        color = 'k'
        ax = axarr[1]
    else:
        color = chan_n
        ax = axarr[0]
    ax.plot(my_skyline[0, :, chan_i, 0], color=color)

f.show()
